Subject: Re: bug#36128: Failed tests for sed 4.7 on Solaris 10 x86

From: Dagobert Michelsen <[email-masked]>
Date: Mon, 30 Sep 2019 14:05:05 +0200

Hi Assaf,

Am 25.09.2019 um 19:57 schrieb Assaf Gordon <[email-masked]>:
> On 2019-09-24 6:15 a.m., Dagobert Michelsen wrote:
>> Am 07.06.2019 um 14:55 schrieb Dagobert Michelsen <[email-masked]>:
>>> I noticed two failed tests on Solaris 10 x86, please see the attached test-suite.log:
>>> 
>>> FAIL: testsuite/misc.pl
>>> FAIL: testsuite/debug.pl
>>> 
>>> Please let me know if you need further information or if I should test anything.
>> The problem still exists and I would really like to release an updated sed.
>> Can someone please have a look?
> 
> From a cursory check,
> I think this is an issue in the interplay between the old perl (5.8.4)
> and the old shell (/bin/sh) on solaris 10.
...
> It might be worth fixing the tests, or detecting problematic shell
> and working around it, but I can't get to that in the near future
> (patches are of course welcomed).

Thank you very much for the analysis and setting me on the right tracj!
There is already Perl 5.10.1 from OpenCSW pulled in, but the SHELL
as /bin/sh is a real bourne shell instead of bash. When I pass in a more recent Shell
from OpenCSW explicitly the testsuite passes cleanly with
  gmake SHELL=/opt/csw/bin/bash check

I fiddled with the parameters and the final solution was to just tell configure to
use a bash instead of a regular bourne shell on Solaris 10 with
  CONFIG_SHELL=/bin/bash ./configure ...
during configure time.

Thanks again and best regards

  — Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896